local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin(room)
    disableMovement()

    wait(2)

    coroutine.yield(getLevel():ZoomTo(vector2(160, 130), 2, 1.5))

    walk(-10, false, 0.5, false)
    wait(0.5)
    walk(20, false, 0.5, false)
    wait(0.5)

    setFlag("cutscene_glitch1", true)
    wait(2)

    player.DummyAutoAnimate = false
    player.Sprite:Play("tired")

    setFlag("cutscene_glitch2", true)
    playSound("event:/music/lvl2/phone_end")
    coroutine.yield(getLevel():ZoomTo(vector2(160, 140), 2.5, 2))
    wait(2)
    getLevel():CompleteArea()
end

function onEnd(room, wasSkipped)
    getLevel():CompleteArea()
end
